import { genMessage } from '../helper';
import antdLocale from 'ant-design-vue/es/locale/en_US';
import { defHttp } from '/@/utils/http/axios';
import { Api } from '../../api/sys/language';

const modules = import.meta.globEager('./en/**/*.ts');
export default {
  message: {
    ...genMessage(modules, 'en'),
    antdLocale,
  },
  apiMessage: {
    ...(await defHttp.get({ url: `${Api.GetLanguage}?locale=en` }, { isTransformResponse: false })),
    antdLocale,
  },
  dateLocale: null,
  dateLocaleName: 'en',
};
